Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class DOMLocatorImpl

    java.lang.Object
      weblogic.apache.xerces.dom.DOMLocatorImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMLocator

Deprecated. please use JDK supplied XML parsers and transformers

    public class DOMLocatorImpl

extends Object
implements org.apache.xerces.dom3.DOMLocator

`DOMLocatorImpl` is an implementaion that describes a location (e.g. where an error occured).

See also the Document Object Model (DOM) Level 3 Core Specification.

Field Summary
`int` | `fColumnNumber` Deprecated. The column number where the error occured, or -1 if there is no column number available.
`Node` | `fErrorNode` Deprecated. The DOM Node where the error occured, or null if there is no Node available.
`int` | `fLineNumber` Deprecated. The line number where the error occured, or -1 if there is no line number available.
`int` | `fOffset` Deprecated. The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset
`String` | `fUri` Deprecated. The URI where the error occured, or null if there is no URI available.

Constructor Summary
`DOMLocatorImpl()` Deprecated.
`DOMLocatorImpl(int lineNumber, int columnNumber, int offset, Node errorNode, String uri)` Deprecated.
`DOMLocatorImpl(int lineNumber, int columnNumber, String uri)` Deprecated.

Method Summary
`int` | `getColumnNumber()` Deprecated. The column number where the error occured, or -1 if there is no column number available.
`Node` | `getErrorNode()` Deprecated. The DOM Node where the error occured, or null if there is no Node available.
`int` | `getLineNumber()` Deprecated. The line number where the error occured, or -1 if there is no line number available.
`int` | `getOffset()` Deprecated. The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.
`String` | `getUri()` Deprecated. The URI where the error occured, or null if there is no URI available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fColumnNumber

    public int fColumnNumber

  Deprecated.
  The column number where the error occured, or -1 if there is no column number available.

### fErrorNode

    public Node fErrorNode

  Deprecated.
  The DOM Node where the error occured, or null if there is no Node available.

### fLineNumber

    public int fLineNumber

  Deprecated.
  The line number where the error occured, or -1 if there is no line number available.

### fOffset

    public int fOffset

  Deprecated.
  The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset

### fUri

    public String fUri

  Deprecated.
  The URI where the error occured, or null if there is no URI available.

Constructor Detail

### DOMLocatorImpl

    public DOMLocatorImpl()

  Deprecated.

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          String uri)

  Deprecated.

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int offset,
                          Node errorNode,
                          String uri)

  Deprecated.

Method Detail

### getLineNumber

    public int getLineNumber()

  Deprecated.
  The line number where the error occured, or -1 if there is no line number available.

  Specified by:
    `getLineNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getColumnNumber

    public int getColumnNumber()

  Deprecated.
  The column number where the error occured, or -1 if there is no column number available.

  Specified by:
    `getColumnNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getOffset

    public int getOffset()

  Deprecated.
  The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.

  Specified by:
    `getOffset` in interface `org.apache.xerces.dom3.DOMLocator`

### getErrorNode

    public Node getErrorNode()

  Deprecated.
  The DOM Node where the error occured, or null if there is no Node available.

  Specified by:
    `getErrorNode` in interface `org.apache.xerces.dom3.DOMLocator`

### getUri

    public String getUri()

  Deprecated.
  The URI where the error occured, or null if there is no URI available.

  Specified by:
    `getUri` in interface `org.apache.xerces.dom3.DOMLocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD